package authsvc

import (
	userdomain "legalgo-BE-go/internal/domain/user"
)

func (as *impl) GetUserProfile(email string) (*userdomain.UserProfile, error) {
	user, err := as.userRepo.GetUserProfile(email)
	if err != nil {
		return nil, err
	}

	return user, nil
}
